<html lang="fr">
	<head>
		<meta charset="utf-8">
	</head>
	<body>

		<?php
			function getCoordinates($address) {
				// replace all the white space with "+" sign to match with google search pattern
				$address = str_replace(" ", "+", $address);
				
				$url = "https://maps.google.com/maps/api/geocode/json?sensor=false&key=VOTRE_CLE&address=$address";
				$response = file_get_contents($url);
				
				// generate array object from the response from the web
				$json = json_decode($response,TRUE);
				// Latitude
				$latitude = ($json['results'][0]['geometry']['location']['lat']) ? $json['results'][0]['geometry']['location']['lat'] : '--';
				// Longitude
				$longitude = ($json['results'][0]['geometry']['location']['lng']) ? $json['results'][0]['geometry']['location']['lng'] : '--';
				
				return $latitude . "," . $longitude;
			}
			
			if (isset($_POST["address"])) {
				// Initialize
				$address = $_POST["address"];
				// Storage (1 variable)
				$latitude_longitude = getCoordinates($address);
				// Latitude & longitude
				list($latitude, $longitude) = explode(",", $latitude_longitude);
				// Display
				echo '<h5>';
				echo 'Adresse recherchée : '.$address.'<br>';
				echo 'Latitude et longitude : '.$latitude_longitude.'<br>';
				echo 'Latitude : '.$latitude.'<br>';
				echo 'Longitude : '.$longitude;
				echo '</h5>';
			}
		?>

		<form action="index.php" method="post">
			<input name="address" type="text" size="60">
			<input name="" type="submit" value="envoyer">
		</form>
	</body>
</html>